import React from "react"
import PropTypes from "prop-types"
import { Directory } from "../generated/graphql"

interface Props {
    dir: Directory
}

const DirectoryElement: React.FC<Props> = (props) => {
	return (
		<div>
            📂 {props.dir.name}
		</div>
	)
}

DirectoryElement.propTypes = {
	dir: PropTypes.any.isRequired // TODO: maybe you can use the interface
}

export default DirectoryElement